Libosmium: osmium::osm_entity_bits Namespace Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Enumerations | Functions
osmium::osm_entity_bits Namespace Reference

Bit field for OSM entity types. More...

## Enumerations
enum | type : unsigned char { nothing = 0x00 , node = 0x01 , way = 0x02 , nw = 0x03 , relation = 0x04 , nr = 0x05 , wr = 0x06 , nwr = 0x07 , area = 0x08 , na = 0x09 , wa = 0x0a , nwa = 0x0b , ra = 0x0c , nra = 0x0d , wra = 0x0e , nwra = 0x0f , object = 0x0f , changeset = 0x10 , all = 0x1f }

## Functions
constexpr type | operator| (const type lhs, const type rhs) noexcept
constexpr type | operator& (const type lhs, const type rhs) noexcept
constexpr type | operator~ (const type value) noexcept
type & | operator|= (type &lhs, const type rhs) noexcept
type | operator&= (type &lhs, const type rhs) noexcept
type | from_item_type (osmium::item_type item_type) noexcept

## Detailed Description

Bit field for OSM entity types.

## Enumeration Type Documentation

## ◆ type

enum osmium::osm_entity_bits::type : unsigned char

Describes zero or more OSM entities.

Usage:

osmium::osm_entity_bits::type entities = osmium::osm_entity_bits::node | osmium::osm_entity_bits::way;
entities |= osmium::osm_entity_bits::relation;
assert(entities & osmium::osm_entity_bits::object);
assert(! (entities & osmium::osm_entity_bits::changeset));
osmium::osm_entity_bits::type
type
Definition entity_bits.hpp:65
osmium::osm_entity_bits::object
@ object
node, way, relation, or area object
Definition entity_bits.hpp:85
osmium::osm_entity_bits::node
@ node
Definition entity_bits.hpp:70
osmium::osm_entity_bits::changeset
@ changeset
Definition entity_bits.hpp:86
osmium::osm_entity_bits::relation
@ relation
Definition entity_bits.hpp:73
osmium::osm_entity_bits::way
@ way
Definition entity_bits.hpp:71

Enumerator
nothing |
node |
way |
nw | node or way object
relation |
nr | node or relation object
wr | way or relation object
nwr | node, way, or relation object
area |
na | node or area object
wa | way or area object
nwa | node, way or area object
ra | relation or area object
nra | node, relation or area object
wra | way, relation or area object
nwra | node, way, relation, or area object
object | node, way, relation, or area object
changeset |
all | object or changeset

## Function Documentation

## ◆ from_item_type()

type osmium::osm_entity_bits::from_item_type | ( | osmium::item_type | item_type | ) |
| inlinenoexcept

Get entity_bits from item_type.

Precondition
  item_type must be undefined, node, way, relation, area, or changeset.

## ◆ operator&()

type osmium::osm_entity_bits::operator& | ( | const type | lhs,
|  | const type | rhs )
| constexprnoexcept

## ◆ operator&=()

type osmium::osm_entity_bits::operator&= | ( | type & | lhs,
|  | const type | rhs )
| inlinenoexcept

## ◆ operator|()

type osmium::osm_entity_bits::operator| | ( | const type | lhs,
|  | const type | rhs )
| constexprnoexcept

## ◆ operator|=()

type & osmium::osm_entity_bits::operator|= | ( | type & | lhs,
|  | const type | rhs )
| inlinenoexcept

## ◆ operator~()

type osmium::osm_entity_bits::operator~ | ( | const type | value | ) |
| constexprnoexcept